#!/bin/sh
#-*- vim:syntax=sh

# fix of bug #93571

export LANG=C LC_MESSAGES=C LC_ALL=C
umask 022

product_log="/tmp/plesk-whc-installation.log"
product_problems_log="/tmp/plesk-whc-problems.log"
problems_occured=0

HTTPD_INCLUDE_D="`cat /etc/psa/psa.conf|awk '/HTTPD_INCLUDE_D/ {print $2}'`"

echo_try()
{
	echo -n "Trying to $*... "
}

suc()
{
	echo "done"
}

fail()
{
	echo "failed"
}

comment_default_ssl_vhost()
{
	local ssl_conf="$HTTPD_INCLUDE_D/ssl.conf"
	[ -e "$ssl_conf" ] || return

	echo_try "comment default ssl virtual host in $ssl_conf"

	perl -n -i.bak -e '$found=1 if ($_ =~ m/^<VirtualHost _default_:/); $found == 1 ? print "#$_" : print $_; $found=0 if( $_ =~ m/^<\/VirtualHost>/);' "$ssl_conf" || {
		fail
		[ ! -f "$ssl_conf.bak" ] || mv -f "$ssl_conf.bak" "$ssl.conf"
		return 1
	}

	[ ! -f "$ssl_conf" ] || rm -f "$ssl_conf.bak"
	suc
}

# Use for centos and rhels only
[ -f "/etc/redhat-release" ] || exit 0
[ -f "/usr/local/psa/tmp/comment_vhost.flag" ] && exit 0

comment_default_ssl_vhost
/etc/init.d/httpd restart

touch /usr/local/psa/tmp/comment_vhost.flag
